Skip to content

Custom Replace Bot network Policy.

PUT
/api/shape/bot/custom/namespaces/{namespace}/bot_network_policys/{name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/custom/namespaces/example/bot_network_policys/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example", "spec": { "network_policy_content": { "manual_routing_list": { "manual_routing": [ { "domain_name": "example", "http": {}, "https": {}, "outbound_domain_name": "example", "port": 1, "protocol_http": {}, "protocol_https": {} } ] }, "upstream_routing_list": { "upstream_routing": [ { "domain_name": "example" } ] } } } }'

Customreplace CustomAPI.

Examples of this operation.

namespace
required
string

Namespace Namespace.

name
required
string

Name Name of the policy.

Media typeapplication/json
CustomReplaceRequest is used to replace contents of a bot_network_policy
object
name
Name

Name of the policy.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace.

string
>= 6 characters <= 1024 characters
spec
object
network_policy_content
object
manual_routing_list
object
manual_routing
Manual Routing List

Routing or forwarding configuration

Array<object>
Manual Routing Detail

Manual Routing value.

object
domain_name
Fully qualified domain name

Inbound FQDN value

Required: YES.

string
<= 256 characters
http
object
https
object
outbound_domain_name
FQDN / IP

Outbound FQDN or IP value

Required: YES.

string
<= 1024 characters
port
port

Outbound Port value.

integer format: int64
>= 1 <= 65535
protocol_http
object
protocol_https
object
upstream_routing_list
object
upstream_routing
Upstream Routing List

Routing or forwarding configuration

Array<object>
Upstream Routing Detail

Upstream Routing value.

object
domain_name
Fully qualified domain name

Domain Name.

string
<= 256 characters
Examplegenerated
{
"name": "example",
"namespace": "example",
"spec": {
"network_policy_content": {
"manual_routing_list": {
"manual_routing": [
{
"domain_name": "example",
"http": {},
"https": {},
"outbound_domain_name": "example",
"port": 1,
"protocol_http": {},
"protocol_https": {}
}
]
},
"upstream_routing_list": {
"upstream_routing": [
{
"domain_name": "example"
}
]
}
}
}
}

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example